# Mobile To Account - Penny Drop

Data extraction of bank account refers to the process of collecting and retrieving information from a mobile number.

## &#x20;mobile\_to\_account

<mark style="color:green;">`POST`</mark> `https://secctrl.tutelar.io/api/v1/kyc/banking/mobile_to_account`

### Post parameters description is given below,

<table><thead><tr><th width="197">Post Parameter </th><th width="139">Type</th><th>Is  Mandatory</th><th>Description</th></tr></thead><tbody><tr><td>country_code </td><td>String </td><td>Yes </td><td>Country Code</td></tr><tr><td>mobile_number</td><td>String</td><td>Yes</td><td>Mobile Number</td></tr></tbody></table>

#### Sample Post Parameters

```json
{
    "country_code": "+91",
    "mobile_number": "9000190002"
}
```

{% tabs %}
{% tab title="200: Success Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request has been successfully completed.",
    "reference_id": "ff26bf52-5946-4469-8529-cdbf25aa2d44",
    "status": "completed",
    "result": {
        "message": "SUCCESS",
        "name_at_bank": "SIVA MANIKANDAN",
        "account_number": "50100552304042",
        "ifsc_code": "HDFC0001858",
        "vpa": "sivamani072001-1@okhdfcbank",
        "bank_reference": "J2506111937498803822223735"
    },
    "requested_at": "2025-06-11T14:07:49.367Z",
    "completed_at": "2025-06-11T14:07:51.444Z"
}
```

{% endtab %}

{% tab title="200: InProgress Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request is being processed. Please wait for completion.",
    "reference_id": "10cc9473-ce11-425e-ac89-1f51ce6e78de",
    "status": "in_progress",
    "requested_at": "2025-06-11T14:07:49.367Z",
}
```

{% endtab %}

{% tab title="400: Validation Error Response " %}

```json
{
    "success": false,
    "code": 400,
    "message": "Invalid input. Please check your request and try again.",
    "error": {
        "message": "Invalid Mobile number",
        "field": "mobile_number",
        "code": "BAD_REQUEST"
    }
}
```

{% endtab %}

{% tab title="200: Failure Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request could not be completed due to an error.",
    "reference_id": "3c94fbf2-1dd0-4d8b-ac9b-d0cccfb1d02a",
    "status": "failed",
    "error": {
        "message": "Invalid details were provided. Please submit valid details.",
        "code": "ERROR"
    },
    "requested_at": "2025-06-11T14:07:49.367Z",
    "completed_at": "2025-06-11T14:07:51.444Z"
}
```

{% endtab %}

{% tab title="402: Insufficient funds" %}

```json
{ 
    "success": false,
    "code": 402,
    "message": "Insufficient Credits to access api's."
}

```

{% endtab %}
{% endtabs %}

#### Check Api Status

## &#x20;Get account details

This Get details API using to fetch the latest updated response when the above API gave the status as in-progress by using the reference\_id

<mark style="color:blue;">`GET`</mark> `https://secctrl.tutelar.io/api/v1/kyc/banking/mobile_to_account`

### Query parameters description is given below,

<table><thead><tr><th width="197">Query Parameter </th><th width="139">Type</th><th>Is  Mandatory</th><th>Description</th></tr></thead><tbody><tr><td>reference_id </td><td>String </td><td>Yes </td><td>Document reference id</td></tr></tbody></table>

{% tabs %}
{% tab title="200: Success Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request has been successfully completed.",
    "reference_id": "ff26bf52-5946-4469-8529-cdbf25aa2d44",
    "status": "completed",
    "result": {
        "message": "SUCCESS",
        "name_at_bank": "SIVA MANIKANDAN",
        "account_number": "50100552304042",
        "ifsc_code": "HDFC0001858",
        "vpa": "sivamani072001-1@okhdfcbank",
        "bank_reference": "J2506111937498803822223735"
    },
    "requested_at": "2025-06-11T14:07:49.367Z",
    "completed_at": "2025-06-11T14:07:51.444Z"
}
```

{% endtab %}

{% tab title="200: InProgress Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request is being processed. Please wait for completion.",
    "reference_id": "10cc9473-ce11-425e-ac89-1f51ce6e78de",
    "status": "in_progress",
    "requested_at": "2025-06-11T14:07:49.367Z"
}
```

{% endtab %}

{% tab title="200: Failure Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request could not be completed due to an error.",
    "reference_id": "3c94fbf2-1dd0-4d8b-ac9b-d0cccfb1d02a",
    "status": "failed",
    "error": {
        "message": "Invalid details were provided. Please submit valid details.",
        "code": "ERROR"
    },
    "requested_at": "2025-06-11T14:07:49.367Z",
    "completed_at": "2025-06-11T14:07:51.444Z"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tutelar.io/tutelar-api-document/kyc-verification/assets-verification/india/mobile-to-account-penny-drop.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
